:root {
    --overlay-background: var(--grey-5-color);

    @include desktop {
        --overlay-background: #fff;
    }
}

.Overlay {
    > * {
        background-color: inherit;
    }

    &_isInstant {
        transition: none !important;
    }

    @include after-mobile {
        .CartOverlay-Promo {
            padding: 0.7rem;
            background: var(--primary-light-color);
        }

        .CartOverlay-Discount,
        .CartOverlay-Tax,
        .CartOverlay-Total {
            background: var(--cart-overlay-totals-background);
        }
    }

    @include mobile {
        &:not(.Overlay_isStatic) {
            overflow: scroll;
            width: 100%;
            height: calc(100vh - var(--header-nav-height));
            max-width: 100%;
            padding-bottom: var(--navigation-tabs-height);
            position: fixed;
            top: 40px;
            left: 0;
            -webkit-overflow-scrolling: touch;
            overflow-x: hidden;
        }
    }
    &:not(.Overlay_isStatic) {
        @include before-desktop {
            overflow: scroll;
            width: 100%;
            height: calc(100vh - var(--header-nav-height));
            max-width: 100%;
            padding-bottom: var(--navigation-tabs-height);

            position: fixed;
            top: var(--header-nav-height);
            left: 0;
            -webkit-overflow-scrolling: touch;
            overflow-x: hidden;
        }
    }
}

.prm .Overlay {
    background: #fff;

    @include after-mobile {
        .CartOverlay-Promo {
            background: #fff;
        }

        .CartOverlay-Discount,
        .CartOverlay-Tax,
        .CartOverlay-Total {
            background: #fff;
        }
    }
}
